GTPREGRESS(1)

NAME
gtpregress - Runs GTP regression tests.

SYNOPSIS

gtpregress [-config file] [-long] [-output directory] [-verbose] program test.tst...

gtpregress [-help]

gtpregress [-version]

DESCRIPTION

Runs a regression test for a Go program supporting the Go Text Protocol, and formats the output as HTML. The regression tests are GTP files, using the special comment #?, as used for the GNU Go: http://www.gnu.org/software/gnugo/gnugo.html regression tests (see section Regression testing: http://www.uni-bonn.de/~uzsxtn/gnugo_22.html#SEC212 of the GNU Go documentation). The regular expression syntax for the expected responses is mostly compatible to the one used by the GNU Go regression test suite, see the documentation for java.util.regex.Pattern: http://java.sun.com/j2se/1.5.0/docs/api/java/util/regex/Pattern.html for a complete description.

The main output file is index.html. For each test file test.tst, additional files with name test.html and test.out.html are generated. Also creates a text file summary.dat, with a table row containing the most important summary statistics.

The return value of gtpregress is 0, if all tests completed successfully with no unexpected fails, 1 if there was at least one enexpected fail, and 2 if the Go program crashed.

OPTIONS

-config file
    Read command line options and arguments from file.

-help
    Display help and exit.

-long
    Print longer output to standard output, one line per test.

-output directory
    Write output files to directory.

-verbose
    Print the GTP stream to the Go program to standard error.

-version
    Print version and exit.